Replace a RecordAsk AIput https://na1.ironcladapp.com/public/api/v1/records/{id}Update an existing record with a new set of metadata. OAuth Scope required: public.records.updateRecordsPath ParamsidstringrequiredThe ID or Ironclad ID of the Record.Query ParamsaddressAsObjectbooleanDefaults to falseWhen true, returns addresses as objects instead of strings.truefalseBody ParamstypestringrequiredThe type of record to be created. You can view available record types by retrieving records metadata.namestringrequiredThe name of the record.propertiesobjectrequiredObject containing key/value pairs of metadata attached to the record. The key you specify must have a value with a supported type as outlined in the Supported Property Types section.properties objectparentobjectObject containing Record IDs or Ironclad IDs to be set as the parent of the current record.parent objectpropertiesToAmendobjectConfiguration specifying which properties should be amended from this amendment record to its parent. Keys are property names, values define the amendment behavior. Only valid when parentLinkType is 'amendment'.propertiesToAmend objectchildrenarray of objectsList of objects containing the Record IDs or Ironclad IDs of the records to be set as child records of the current record.childrenADD objectHeadersx-as-user-emailstringDenotes the actor of the request. When used, the API will take into account this user's permissions and access. This or x-as-user-id is required when the associated token was produced from the Client Credentials grant or with legacy bearer tokens on select endpoints. More information about permissions.x-as-user-idstringDenotes the actor of the request. When used, the API will take into account this user's permissions and access. This or x-as-user-email is required when the associated token was produced from the Client Credentials grant or with legacy bearer tokens on select endpoints. More information about permissions.Responses 200200 400400Updated 7 months ago